﻿@{
    Layout = "~/Views/Shared/_Layout.cshtml";
    var hasPlan = Model.StartDate.HasValue ? "" : "display:none";

}
@model DP.Common.Models.Administration.SubscriberViewModel
@using DP.Common.Enums
@using DP.Common.Utilities

@{
    var isUserActive = (Model.IsTerminated == true);
}

<div class="row">
    <div class="col-lg-12">
        <h1 class="page-header">Subscriber Details</h1>
    </div>
    <!-- /.col-lg-12 -->
</div>
<div class="row user-basic-info">
    <div class="col-md-12 col-sm-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                User and Plan Details
                <div id="lblVerified" class="pull-right" style="@hasPlan">
                    @*  <i class="fa fa-user fa-lg green-glow"></i>*@
                    <span class="label label-success"><i class="fa fa-check-square-o"></i> Verified</span>
                </div>

            </div>
            <div class="panel-body">
                <div class="col-md-6">
                    @{

                        string activeText = (Model.IsTerminated == true) ? "Activate" : "Deactivate";
                        string imgCss = (Model.IsTerminated == true) ? "deactive" : "active";
                        int _userType = (int)Model.UserType;
                    }
                    <div class="row">
                        <div class="col-md-4 text-center">
                            <img class="img-circle img" src="@Model.ImageUrl" alt="No Image" style="width: 100%;"/>
                        </div>
                        <div class="col-md-8 detail pad-top-0 mar-top-neg-15"  style="border-right: solid 1px #eee;">
                            @{
                                var _name = Model.Name.Split(new char[] { ':' }, StringSplitOptions.RemoveEmptyEntries);
                            }
                            <h3>@_name[0]</h3>
                            @if (_name.Count() > 1)
                            {
                                <h6>@_name[1], @_name[2]</h6>
                            }
                            else
                            {
                                <h4>@Model.Location</h4>
                            }

                            <h4>@Model.Email</h4>
                            <p>@Model.Specializations</p>
                            @if (Model.Active == 4)
                            {
                                if (Model.IsTerminated)
                                {
                                    <button class="btn btn-danger btn-sm btn-user-activate" data-uid="@Model.UserId">Activate</button>
                                }
                                else
                                {
                                    <button class="btn btn-success btn-sm btn-user-terminate" data-uid="@Model.UserId">Terminate</button>
                                }
                            }
                        </div>
                    </div>
                </div>

                <div class="col-md-6 col-sm-6">
                    <form class="form" id="form-subscriber-plan">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="startDate">Start Date</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control datepicker" name="startDate" value='@if (Model.StartDate.HasValue == true) { @Model.StartDate.Value.ToString("yyyy-MM-dd") }' placeholder="Select start date" aria-describedby="basic-addon2">
                                        <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="endDate">End Date</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control datepicker" name="endDate" value='@if (Model.StartDate.HasValue == true) { @Model.EndDate.Value.ToString("yyyy-MM-dd") }' placeholder="Select end date" aria-describedby="basic-addon2">
                                        <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <input type="hidden" name="entityId" value="@Model.SubscriberId" />
                            <input type="hidden" name="entityType" value="@Model.UserType" />
                            <div class="col-md-3">
                                <div class="form-group">
                                    <div class="checkbox checkbox-success" style="display: inline-block;">
                                        <input id="enableBasic" name="enableBasic" class="styled" type="checkbox" @(Model.EnableBasic == true ? "checked" : "") />
                                        <label for="enableBasic"></label>
                                    </div>
                                    <b>Basic</b>
                                </div>
                            </div>
                             @if (Model.UserType != UserType.Insurance)
                                {
                            <div class="col-md-4">
                                <div class="form-group">
                                    <div class="checkbox checkbox-success" style="display: inline-block;">
                                        <input id="enableTextual" name="enableTextual" class="styled" type="checkbox" @(Model.EnableTextual == true ? "checked" : "") />
                                        <label for="enableTextual"></label>
                                    </div>
                                    <b>Textual Search</b>
                                </div>
                            </div> 
                             }
                            <div class="col-md-4">
                            
                                
                                    <div class="form-group">
                                        <div class="checkbox checkbox-success" style="display: inline-block;">
                                            <input id="enableFeatured" name="enableFeatured" class="styled" type="checkbox" @(Model.EnableFeatured == true ? "checked" : "") />
                                            <label for="enableFeatured"></label>
                                        </div>
                                        @if (Model.UserType != UserType.Insurance)
                                        {
                                          <b>Zonal Search</b>
                                        }
                                        else
                                        {
                                            <b>Featured</b>
                                        }
                                    </div>
                               
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-offset-10 col-md-2">
                                <a class="btn btn-primary pull-right" id="btnSavePlan">Save</a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
   
</div>

<!--USER REVIEWS-->
<div class="row">
    <div class="col-md-12 col-sm-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                User Reviews
            </div>
            <div class="panel-body" id="user-reviews">
                @Html.Action("GetUserReviews", "User", new { Sid = Model.SubscriberId, Type = (int)Model.UserType })
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12 col-sm-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                Offers
            </div>
            <div class="panel-body">
                @Html.Action("Offers", "User", new { Sid = Model.SubscriberId, Type = (int)Model.UserType })
            </div>
        </div>
    </div>
</div>
<script>
    app.user.hasPlan = @(Model.StartDate.HasValue ? "true" : "false")
</script>
<script type="text/javascript" src="~/Scripts/modules/user.js"></script>
